tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 57982] New: build.xml assumes Javadoc 7+ is used but does not check this
Date Mon, 01 Jun 2015 14:41:35 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=57982

            Bug ID: 57982
           Summary: build.xml assumes Javadoc 7+ is used but does not
                    check this
           Product: Tomcat 9
           Version: unspecified
          Hardware: All
                OS: All
            Status: NEW
          Severity: minor
          Priority: P2
         Component: Catalina
          Assignee: dev@tomcat.apache.org
          Reporter: sebb@apache.org

The build file in Tomcat 6 forces the use of Java 7 for running javadoc.

The build.xml file for Tomcat 9 (and 8) assumes that javadoc 7+ will be used
(and so, like TC6, does not apply any fix for CVE-2013-1571).

However the build file does not check that a suitable version of javadoc is
being used.

Although it is not possible to compile these versions of Tomcat using Java 6,
it is possible to use Java 6 to create the javadoc.

This is a slightly unlikely scenario, but it might still be worth adding a java
version check.

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message